body {
	background-color: #232323;
	margin: 0;
	padding: 0;
	font-family: "Comic Sans MS";
}

#headingContainer {
	background-color: #3c76ae;
	margin: 0;
	padding: 10px 0;
}

#lightbox {
	position: absolute;
	color: rgb(100, 10, 150);
	text-decoration: none;
	right: 10px;
	top: 5px;
}

.lightbox-target {
	position: fixed;
	top: -100%;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.7);
	display: flex;
	justify-content: center;
	align-items: center;
	opacity: 0;
	-webkit-transition: opacity .5s ease-in-out;
	-moz-transition: opacity .5s ease-in-out;
	-o-transition: opacity .5s ease-in-out;
	transition: opacity .5s ease-in-out;
	overflow: hidden;
}

.lightbox-target:target {
	opacity: 1;
	top: 0;
	bottom: 0;
}

#lightbox-content {
	width: 600px;
	background-color: white;
	padding: 0 20px 20px;
	-webkit-transition: .5s ease-in-out;
	-moz-transition: .5s ease-in-out;
	-o-transition: .5s ease-in-out;
	transition: .5s ease-in-out;
	position: relative;
}

#lightbox-content img {
	width: 50%;
	float: right;
}

#lightbox-content h2, #lightbox-content h3, #lightbox-content p {
	text-align: center;
}

#lightbox-content h2 {
	color: steelblue;
}

#row {
	width: 100%;
}

#lists {
	width: 50%;
	float: left;
}

ul {
	padding-left: 0;
}

li {
	list-style-type: none;
	line-height: 1.7;
}

li span {
	font-weight: bold;
	letter-spacing: 1px;
}

.colors {
	font-weight: 600;
	color: steelblue;
}

#red {
	color: rgb(255, 0, 0);
}

#green {
	color: rgb(0, 255, 0);
}

#blue {
	color: rgb(0, 0, 255);
}

#yellow {
	color: rgb(255, 255, 0);
}

#cyan {
	color: rgb(0, 255, 255);
}

#magenta {
	color: rgb(255, 0, 255);
}

a#lightbox-close {
	display: block;
	width:50px;
	height:50px;
	box-sizing: border-box;
	background: white;
	color: black;
	text-decoration: none;
	position: absolute;
	top: 0;
	right: 0;
	-webkit-transition: .5s ease-in-out;
	-moz-transition: .5s ease-in-out;
	-o-transition: .5s ease-in-out;
	transition: .5s ease-in-out;
}

a#lightbox-close:before {
	content: "";
	display: block;
	height: 30px;
	width: 1px;
	background: black;
	position: absolute;
	left: 26px;
	top:10px;
	-webkit-transform:rotate(45deg);
	-moz-transform:rotate(45deg);
	-o-transform:rotate(45deg);
	transform:rotate(45deg);
}

a#lightbox-close:after {
content: "";
display: block;
height: 30px;
width: 1px;
background: black;
position: absolute;
left: 26px;
top:10px;
-webkit-transform:rotate(-45deg);
-moz-transform:rotate(-45deg);
-o-transform:rotate(-45deg);
transform:rotate(-45deg);
}

h1 {
	color: white;
	text-align: center;
	margin: 0;
	font-weight: normal;
}

#pickedColorText {
	text-transform: uppercase;
	font-size: 1.2em;
	font-weight: bold;
}

#optionsContainer {
	background-color: white;
	font-family: "Arial";
}

#optionsContainer div {
	width: 600px;
	margin: 0 auto;
	text-align: center;
}

button {
	color: #3c76ae;
	text-transform: uppercase;
	font-weight: bold;
	text-decoration: none;
	border: none;
	background-color: white;
	cursor: pointer;
	padding: 5px;
	outline: none;
	transition: 0.4s;
	-webkit-transition: 0.4s;
	-moz-transition: 0.4s;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

#playAgain {
	width: 105px;
}

button:hover {
	background-color: #3c76ae;
	color: white;
}

#result {
	display: inline-block;
	width: 40%;
}

.selected {
	background-color: #3c76ae;
	color: white;
}

#squaresContainer {
	width: 600px;
	margin: 20px auto;
}

.square {
	padding-bottom: 30%;
	width: 30%;
	margin: 10px;
	border-radius: 30%;
	float: left;
	transition: background 0.4s;
	-webkit-transition: 0.4s;
	-moz-transition: 0.4s;
	cursor: pointer;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

@media screen and (max-width: 630px) {
	#squaresContainer, #optionsContainer div {
		width: 300px;
	}

	#squaresContainer {
		margin: 5px auto;
	}

	.square {
		width: 140px;
		padding-bottom: 130px;
		margin: 5px;
	}

	#result {
		width: 85px;
	}

	h1 {
		font-size: 1.8em;
	}

	#pickedColorText {
		font-size: 1.1em;
	}

	a {
		font-size: 13px;
		display: block;
		width: 50px;
		text-align: center;
		line-height: 1;
	}
}

@media screen and (max-width: 680px) {
	#lightbox-content {
		width: 300px;
		padding: 5px 10px;
	}

	#lightbox-content h2, h3 {
		margin: 0;
	}

	#lightbox-content h3 {
		font-size: 17px;
	}

	#lightbox-content p {
		margin: 5px 0 0;
	}

	#lightbox-content img {
		float: none;
		display: block;
		margin: 0 auto;
	}

	#lists {
		width: 100%;
	}

	ul {
		margin: 5px 0;
		padding-left: 30px;
	}

	li {
		line-height: 1.45;
	}
}